Bug 837670 - [abrt] gedit-3.4.2-1.fc17: gdk_property_change: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.2-1.fc17: gdk_property_change: Process /usr/bin/gedit was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:72023cd42d8b8c8da640ae6ed55...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 12:24 EDT by Milan Bouchet-Valat
Modified: 2013-08-01 06:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:17:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.64 KB, text/plain)
2012-07-04 12:24 EDT, Milan Bouchet-Valat
no flags Details
File: xsession_errors (296 bytes, text/plain)
2012-07-04 12:24 EDT, Milan Bouchet-Valat
no flags Details
File: maps (49.23 KB, text/plain)
2012-07-04 12:24 EDT, Milan Bouchet-Valat
no flags Details
File: dso_list (11.49 KB, text/plain)
2012-07-04 12:24 EDT, Milan Bouchet-Valat
no flags Details

  None (edit)
Description Milan Bouchet-Valat 2012-07-04 12:24:47 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gedit r-temis/pkg/rcmdr.temis/R/importCorpus.R
comment:        On closing with many open documents and memory stress.
core_backtrace: 
crash_function: gdk_property_change
executable:     /usr/bin/gedit
kernel:         3.3.7-1.fc17.x86_64
pid:            4739
pwd:            /home/milan/Cachan/Analyse lexicale
time:           mer. 04 juil. 2012 18:12:09 CEST
uid:            1000
username:       milan

backtrace:      Text file, 20110 bytes
dso_list:       Text file, 11765 bytes
maps:           Text file, 50407 bytes
xsession_errors: Binary file, 296 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/milan/2

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=milan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/milan/keyring-nDhOov/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=9e1782da896cc13ddd95ca060000000c-1055858096.46342-1087244798
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=31461088
:'OLDPWD=/home/milan/Cachan/Analyse lexicale/tmp'
:GNOME_KEYRING_CONTROL=/run/user/milan/keyring-nDhOov
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=milan
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
:SSH_AUTH_SOCK=/run/user/milan/keyring-nDhOov/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1189,unix/unix:/tmp/.ICE-unix/1189
:USERNAME=milan
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:MAIL=/var/spool/mail/milan
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:'PWD=/home/milan/Cachan/Analyse lexicale'
:XMODIFIERS=@im=none
:EDITOR=nano
:GNOME_KEYRING_PID=1185
:LANG=fr_FR.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=fr_FR.utf8
:KDEDIRS=/usr/local:/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups:ignorespace
:XDG_SEAT=seat0
:HOME=/home/milan
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=milan
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-CigQnXO4xF,guid=97e0a15c88ac170836e63cb200000026
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/milan
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-milan-mxmqfM/database
:_=/usr/bin/gedit

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29887                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29887                29887                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/2
:pos:	0
:flags:	0100002
:1:/dev/pts/2
:pos:	0
:flags:	0100002
:2:/dev/pts/2
:pos:	0
:flags:	0100002
:3:socket:[3272086]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[3273744]
:pos:	0
:flags:	02004002
:6:socket:[3273745]
:pos:	0
:flags:	02000002
:7:socket:[3272756]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:/home/milan/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:socket:[3273748]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:/home/milan/.local/share/gvfs-metadata/home-d38bae4f.log
:pos:	0
:flags:	0100000
:15:socket:[3540869]
:pos:	0
:flags:	02004002
:16:/home/milan/.local/share/gvfs-metadata/root (deleted)
:pos:	0
:flags:	0100000
:17:/home/milan/.local/share/gvfs-metadata/root-79665514.log (deleted)
:pos:	0
:flags:	0100000
:18:socket:[4004515]
:pos:	0
:flags:	02004002

var_log_messages:
:Jul  4 18:12:09 milan kernel: [342089.296529] gedit[4739]: segfault at 18 ip 0000003e65837df0 sp 00007fff5ba54ce8 error 4 in libgdk-3.so.0.400.3[3e65800000+78000]
:Jul  4 18:12:13 milan abrt[26386]: Saved core dump of pid 4739 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-07-04-18:12:09-4739 (203481088 bytes)
Comment 1 Milan Bouchet-Valat 2012-07-04 12:24:51 EDT
Created attachment 596263 [details]
File: backtrace
Comment 2 Milan Bouchet-Valat 2012-07-04 12:24:52 EDT
Created attachment 596264 [details]
File: xsession_errors
Comment 3 Milan Bouchet-Valat 2012-07-04 12:24:54 EDT
Created attachment 596265 [details]
File: maps
Comment 4 Milan Bouchet-Valat 2012-07-04 12:24:56 EDT
Created attachment 596266 [details]
File: dso_list
Comment 5 Dan Dragomir 2013-01-20 05:26:36 EST
I was trying to open a file, which I thought was a text file, but actually was just full of zeroes.

backtrace_rating: 4
Package: gedit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 23:08:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 06:17:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.